const NUMBER_OF_INPUTS = 8;

var state = {
	x: {
		0: false,
		1: false,
		2: false,
		3: false,
	},
	y: {
		0: false,
		1: false,
		2: false,
		3: false,
	},
};

var pos = { x: 0.5, y: 0.5 },
	touchDown = false;

function update() {
	var newPos = { x: null, y: null };
	touchDown = false;
	
	var xNum = 0;
	for (var x in state.x) {
		if (state.x[x]) {
			touchDown = true;
			xNum += 1;
			newPos.x += parseInt(x);
		}
	}
	
	var yNum = 0;
	for (var y in state.y) {
		if (state.y[y]) {
			touchDown = true;
			yNum += 1;
			newPos.y += parseInt(y);
		}
	}
	
	if (newPos.x != null && newPos.y != null) {
		pos.x = newPos.x / xNum / (NUMBER_OF_INPUTS / 2.0 - 1);
		pos.y = newPos.y / yNum / (NUMBER_OF_INPUTS / 2.0 - 1);
	}
}

$(document).ready(function() {
	var socket = new io.Socket('', {
		transports: ['websocket', 'xhr-multipart', 'xhr-polling'],
	}); 
	socket.on('connect', function(){
		//console.log("connected!");
	});
	socket.on('message', function(message){
		if (message[0] < NUMBER_OF_INPUTS/2) {
			// row/y value
			state.y[message[0]] = message[1] == '1';
		}
		else {
			// col/x value
			state.x[message[0] - NUMBER_OF_INPUTS/2] = message[1] == '1';
		}
		update();
	});
	socket.on('disconnect', function(){
		console.log("disconnected!");
	});
	socket.connect();
});